Name:           perl-Test-Moose-More
Version:        0.019
Release:        1%{?dist}
Summary:        More tools for testing Moose packages
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Moose-More/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/Test-Moose-More-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Data::OptList)
BuildRequires:  perl(Moose::Autobox)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(Perl6::Junction)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.88
# Tests only:
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Deprecated)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(TAP::SimpleOutput)
BuildRequires:  perl(Test::Builder::Tester)
# Optional tests:
BuildRequires:  perl(Test::Script) >= 1.05
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Test::More) >= 0.88

# Removed under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Test::More\\)$

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace Test::Moose.

%prep
%setup -q -n Test-Moose-More-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
# README is the same as main POD
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 25 2013 Petr Pisar <ppisar@redhat.com> - 0.019-1
- 0.019 bump

* Thu Jan 10 2013 Petr Pisar <ppisar@redhat.com> - 0.018-1
- 0.018 bump

* Mon Oct 29 2012 Petr Pisar <ppisar@redhat.com> - 0.017-1
- 0.017 bump

* Mon Oct 22 2012 Petr Pisar <ppisar@redhat.com> - 0.016-1
- 0.016 bump

* Mon Aug 27 2012 Petr Pisar <ppisar@redhat.com> - 0.011-1
- 0.011 bump

* Mon Aug 27 2012 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.009-2
- Perl 5.16 rebuild

* Fri Apr 27 2012 Petr Pisar <ppisar@redhat.com> - 0.009-1
- 0.009 bump

* Mon Apr 16 2012 Petr Pisar <ppisar@redhat.com> - 0.008-1
- 0.008 bump

* Thu Apr 12 2012 Petr Pisar <ppisar@redhat.com> - 0.007-1
- 0.007 bump

* Tue Apr 10 2012 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Wed Feb 29 2012 Petr Pisar <ppisar@redhat.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
